Summary: MIME type data files for GNOME desktop
Name: gnome-mime-data
Version: 2.0.0
Release: 9
URL: http://www.gnome.org
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System Environment/Libraries
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-root

Patch0: gnome-mime-data-2.0.0-openoffice.patch
Patch1: gnome-mime-data-2.0.0-rpminstall.patch
Patch2: gnome-mime-data-2.0.0-nohtmlcomponent.patch
Patch3: gnome-mime-data-2.0.0-default-applications.patch
Patch4: gnome-mime-data-2.0.0-gimp.patch

%description
gnome-mime-data provides the file type recognition data files for gnome-vfs

%prep
%setup -q

%patch0 -p1 -b .openoffice
%patch1 -p1 -b .rpminstall
%patch2 -p1 -b .nohtmlcomponent
%patch3 -p1 -b .default-applications
%patch4 -p1 -b .gimp

## be sure .keys is regenerated from patched .keys.in
rm gnome-vfs.keys

## no command line apps as bindings
perl -pi -e 's/,mpg123//g' gnome-vfs.keys.in
perl -pi -e 's/mpg123//g' gnome-vfs.keys.in

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog README
%config %{_sysconfdir}/gnome-vfs-mime-magic
%{_datadir}/application-registry
%{_datadir}/mime-info/*.keys
%{_datadir}/mime-info/*.mime
%{_libdir}/pkgconfig/*
%{_datadir}/pixmaps
%{_datadir}/man/man*/*

%changelog
* Tue Sep  3 2002 Jonathan Blandford <jrb@redhat.com>
- fix the gimp to run 'gimp' instead of 'gimp-remote'

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- ah, did not know about default_application_id. fix various things to
  work properly. also, change some unrelated stuff: bind openoffice to
  more file types, don't use gnumeric embedded control for gnumeric
  files.

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- don't try to view html in-place, use htmlview as default html viewer
- remove mpg123 as a viewer, it's a command line app

* Wed Aug 14 2002 Alexander Larsson <alexl@redhat.com> 2.0.0-6
- Changed appname from redhat-install-package to redhat-install-packages

* Wed Aug 14 2002 Alexander Larsson <alexl@redhat.com> 2.0.0-5
- bind rpm to redhat-install-package

* Wed Aug  7 2002 Havoc Pennington <hp@redhat.com>
- bind openoffice to excel/word documents

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- remove empty NEWS/AUTHORS, #66082

* Sat Jun 15 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- check file list, add icons and man pages

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.0.8

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.0.7

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.0.6

* Wed Feb 27 2002 Havoc Pennington <hp@redhat.com>
- 1.0.4
- make it noarch

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.0.3

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.0.2

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 1.0.1.90 cvs snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- add doc files

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


